Opened 8 years ago

Last modified 5 years ago

#15710 new defect

Singular hangs in division of rational functions over cyclotomic field

Reported by: ppurka Owned by:
Priority: major Milestone: sage-6.4
Component: number fields Keywords:
Cc: doyle@…, jakobkroeker Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: #14333 Stopgaps:

Status badges

Description (last modified by jdemeyer)

From the google notebook bug reports

This hangs and cannot be interrupted:

sage: F.<a>=CyclotomicField(49); G = F['z,w'].fraction_field(); 1/G(a^28 + a^23 - 1)

The problem depends on the value that we are dividing by: 1/G(a^28 + a^23 + 1) works and returns the correct value.

Ticket #15717 fixes the "cannot be interrupted" part of the bug.

Change History (18)

comment:1 Changed 8 years ago by jdemeyer

  • Description modified (diff)

comment:2 Changed 8 years ago by jdemeyer

  • Summary changed from sage hangs in division in cyclotomic field to Sage hangs in division of rational functions over cyclotomic field

comment:3 Changed 8 years ago by jdemeyer

  • Description modified (diff)

comment:4 Changed 8 years ago by jdemeyer

  • Branch set to u/jdemeyer/ticket/15710
  • Created changed from 01/22/14 16:50:06 to 01/22/14 16:50:06
  • Modified changed from 01/23/14 11:24:39 to 01/23/14 11:24:39

comment:5 Changed 8 years ago by jdemeyer

  • Commit set to 13573a935764c03692d67661fbc31fa3cedf1349
  • Description modified (diff)
  • Summary changed from Sage hangs in division of rational functions over cyclotomic field to Singular hangs in division of rational functions over cyclotomic field

New commits:

1753f06Update Singular to version 3-1-6.
536a31fUpdate Singular function interface to API changes in Singular 3.1.6.
dd46991Remove description of deleted patches.
0a702e9Merge commit 'dd469911d19ed7080fec' into ticket/15710
13573a9Add some sig_on() blocks to Singular interface

comment:6 Changed 8 years ago by jdemeyer

  • Dependencies set to #14333

comment:7 Changed 8 years ago by ppurka

Can you reproduce the hang in the new Singular?

comment:8 Changed 8 years ago by jdemeyer

It's the same with #14333.

comment:9 Changed 8 years ago by jdemeyer

  • Cc doyle@… added

comment:10 Changed 8 years ago by ppurka

Ok. Then I will not ask for a doctest! If it had been fixed then perhaps a doctest would be useful. Is it ok if we don't try to fix both the hang and noninterruptible nature of the code here?

The hang can be fixed in a later ticket (with upstream report) since it depends on a fix in Singular, whereas on the Sage side it is more important that we ensure that it can be interrupted.

comment:11 Changed 8 years ago by jdemeyer

  • Branch u/jdemeyer/ticket/15710 deleted
  • Commit 13573a935764c03692d67661fbc31fa3cedf1349 deleted
  • Description modified (diff)

comment:12 Changed 8 years ago by malb

Works for me:

sage: F.<a>=CyclotomicField(49); G = F['z,w'].fraction_field(); 1/G(a^28 + a^23 - 1)
(680161/4485167*a^41 - 1808464/4485167*a^40 + 183965/4485167*a^39 - 1904126/4485167*a^38 - 427226/4485167*a^37 - 1928114/4485167*a^36 + 885906/4485167*a^35 - 778361/4485167*a^34 - 162589/4485167*a^33 - 324303/4485167*a^32 - 632185/4485167*a^31 - 817800/4485167*a^30 - 1123149/4485167*a^29 + 384188/4485167*a^28 - 793121/4485167*a^27 + 867518/4485167*a^26 - 937329/4485167*a^25 + 488348/4485167*a^24 - 1850813/4485167*a^23 + 219604/4485167*a^22 + 1035482/4485167*a^21 + 808745/4485167*a^20 - 1148406/4485167*a^19 + 1017389/4485167*a^18 - 1061865/4485167*a^17 - 731354/4485167*a^16 - 1028349/4485167*a^15 + 112924/4485167*a^14 - 465812/4485167*a^13 - 1406657/4485167*a^12 + 81895/4485167*a^11 - 1718038/4485167*a^10 - 236022/4485167*a^9 - 1681906/4485167*a^8 + 1257081/4485167*a^7 - 988840/4485167*a^6 + 895391/4485167*a^5 - 921705/4485167*a^4 + 207460/4485167*a^3 - 1770753/4485167*a^2 - 353913/4485167*a - 1546685/4485167)
sage: version()
'Sage Version 6.1.beta4, Release Date: 2014-01-05'

comment:13 Changed 8 years ago by jdemeyer

Agreed, it actually doesn't hang, just takes an extraordinary large amount of time:

sage: %time F.<a>=CyclotomicField(49); G = F['z,w'].fraction_field(); 1/G(a^28 + a^23 + 1)
CPU times: user 0.02 s, sys: 0.00 s, total: 0.02 s
Wall time: 0.02 s
sage: %time F.<a>=CyclotomicField(49); G = F['z,w'].fraction_field(); 1/G(a^28 + a^23 - 1)
CPU times: user 11.64 s, sys: 0.06 s, total: 11.70 s
Wall time: 11.72 s

comment:14 Changed 8 years ago by ppurka

Still needs to be fixed :)

comment:15 Changed 8 years ago by vbraun_spam

  • Milestone changed from sage-6.1 to sage-6.2

comment:16 Changed 8 years ago by vbraun_spam

  • Milestone changed from sage-6.2 to sage-6.3

comment:17 Changed 7 years ago by vbraun_spam

  • Milestone changed from sage-6.3 to sage-6.4

comment:18 Changed 5 years ago by jakobkroeker

  • Cc jakobkroeker added

Meanwhile (sage 7.6 beta 4) the example finishes in a bit and seems correct. Needs a test and then a review?

Note: See TracTickets for help on using tickets.